Voici comment rendre compatible Arfooo 2.0.2 avec php 5.6

Trouvez ici tout l'aide dont vous avez besoin concernant le script d'annuaire Arfooo.
Merci de reporter les éventuels bugs trouvés.

Voici comment rendre compatible Arfooo 2.0.2 avec php 5.6

Messagede Stef67 » Mer 15 Avr 2015 10:46

Hello,

Bon mon annuaire est personnalisé un max et ça vaut ce que ça vaut, je ne pense pas avoir oublié quelque chose (tri entre mes modifications perso et la compatibilité avec php 5.6), mais voilà en gros ce que j'ai modifié dans la version 2.0.2 pour le rendre compatible avec la version 5.6 de php (5.6.7 chez moi)

Ouvrir "components/template_lite/class.compiler.php" et chercher

Code: Tout sélectionner
$file_contents = preg_replace("!{$ldq}\*.*?\*{$rdq}!se","",$file_contents);


Remplacer par

Code: Tout sélectionner
$file_contents = preg_replace("!{$ldq}\*.*?\*{$rdq}!s","",$file_contents);


Ouvrir "models/CommentModel.php" et chercher

Code: Tout sélectionner
function update($data, $c)


Remplacer par

Code: Tout sélectionner
function update($data, Criteria $c)


Toujours dans le fichier "models/CommentModel.php" chercher

Code: Tout sélectionner
function del($c, $updateStats = true)


Remplacer par

Code: Tout sélectionner
function del(Criteria $c, $updateStats = true)


Sur le FTP videz le contenu des répertoires "cache" et "compiled" sauf les fichiers .htaccess qui y sont présent.
Stef67
 
Messages: 98
Inscription: Mar 17 Nov 2009 19:07
Localisation: Alsace


Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Fredo73 » Ven 1 Mai 2015 11:47

Bonjour Stef67,

as-tu remarqué des problèmes depuis tes modifications ?
Ou est-ce que tout roule normalement ?
Merci et bon WE
Avatar de l’utilisateur
Fredo73
 
Messages: 38
Inscription: Sam 1 Mai 2010 17:22
Localisation: Sur ma chaise, devant l'ordit'

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Stef67 » Mer 13 Mai 2015 09:07

Hello,

Désolé je n'ai pas reçu de notification de ton message.

Pour ma part pas de problème détectés depuis que j'ai fait les modifications alors que je suis en version 5.6.8 de php

Preuve en image

Image
Stef67
 
Messages: 98
Inscription: Mar 17 Nov 2009 19:07
Localisation: Alsace

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Fredo73 » Dim 17 Mai 2015 14:21

Merci pour ta réponse.
Ne voyant pas ta réponse arriver, j'ai essayé. Effectivement, pas de problèmes relevés : Suis en php 5.6.6 depuis 2 petites semaines, et tout semble rouler comme sur des roulettes ...

Merci pour le partage de cette modification qui va me permettre de ne pas refaire mon annuaire tout de suite : mon hébergeur ne supportera plus les anciennes versions php (5.3 et précédentes) dans peu de temps ....

PS : pas reçu non plus de notification de ton message ...
Avatar de l’utilisateur
Fredo73
 
Messages: 38
Inscription: Sam 1 Mai 2010 17:22
Localisation: Sur ma chaise, devant l'ordit'

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Bodyboard » Mar 23 Juin 2015 12:15

Merci beaucoup Steph67 !!

Arfooo 2.0.2 et php5.6.6 OK

Modifications effectuées, j'ai testé rapidement et je ne vois pas de bug. Je testerais plus en profondeur dès que j'ai le temps.

Vous avez rencontrez des problèmes depuis la modification ?
Bodyboard
 
Messages: 92
Inscription: Mer 4 Mar 2009 10:14
Localisation: Toulouse

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Fredo73 » Sam 4 Juil 2015 19:16

Bodyboard a écrit:Vous avez rencontrez des problèmes depuis la modification ?

Non, aucun ... ;)
Avatar de l’utilisateur
Fredo73
 
Messages: 38
Inscription: Sam 1 Mai 2010 17:22
Localisation: Sur ma chaise, devant l'ordit'

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Stef67 » Jeu 16 Juil 2015 10:55

Cela n'ajoute pas de fonctionnalités, mais en tout cas mon annuaire tourne très bien depuis cette modification et le passage à la version 5.6.8 de php.
Stef67
 
Messages: 98
Inscription: Mar 17 Nov 2009 19:07
Localisation: Alsace

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede lexpo » Ven 8 Juil 2016 15:03

Bonjour;

Je suis chez OVH et ai effectué les modifs citées plus haut mais hélas le moteur de recherche de mon annuaire ne fonctionne toujours pas.

Je suis en 5.6 chez OVH mais dans mes infos arfooo 5.2.17

Suis pas pro et suis un peu perdu.

Merci de votre aide
lexpo
 
Messages: 52
Inscription: Ven 15 Juil 2011 15:44

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede Stef67 » Mer 20 Juil 2016 16:26

Salut,

Si l'annuaire t'indique 5.2.17 c'est que tu n'es pas en version 5.6 de php.

Comment es-tu sûr que ton serveur OVH est en version 5.6 ?
Stef67
 
Messages: 98
Inscription: Mar 17 Nov 2009 19:07
Localisation: Alsace

Re: Voici comment rendre compatible Arfooo 2.0.2 avec php 5.

Messagede lexpo » Mer 3 Aoû 2016 10:57

Bonjour stef67

D'aprés mon hebergement chez OVH version global php c'est 5.6.

C'est un hebergement multisite.
lexpo
 
Messages: 52
Inscription: Ven 15 Juil 2011 15:44

Suivante

Retourner vers Installation, aide et report de bugs

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 0 invités

 
Copyright © arfooo.com  2007 - 2011  -  Tous droits réservés  -  Partenaires de confiance
Sites du groupe: petites annonces gratuites   voyance en direct - tirage tarot   Consultant en référencement
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group | phpBB SEO Traduction par: phpBB-fr.com
cron